%global pkgname repoze.sphinx.autointerface
%global srcname %(echo %{pkgname} | tr . -)

%define gitdate 20200728
%define rel 3

Name:           python-%{srcname}
Version:        0.8.1
Release:        %mkrel %{?gitdate:-c git%{gitdate}} %rel
Group:          Development/Python
Summary:        Auto-generate Sphinx API docs from Zope interfaces

License:        BSD
URL:            https://github.com/repoze/repoze.sphinx.autointerface
%if %{gitdate}
Source0:        https://github.com/repoze/repoze.sphinx.autointerface/archive/refs/heads/master.tar.gz#/%{name}-%{version}-git%{gitdate}.tar.gz
%else
Source0:        https://github.com/repoze/%{pkgname}/archive/%{version}/%{pkgname}-%{version}.tar.gz
%endif
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(zope.interface)

%global common_desc                                                      \
This package defines an extension for the Sphinx documentation system.   \
The extension allows generation of API documentation by introspection of \
zope.interface instances in code.

%description
%{common_desc}

%package -n python3-%{srcname}
Group:          Development/Python
Summary:        Auto-generate Sphinx API docs from Zope interfaces
Requires:       python3dist(sphinx)
Requires:       python3dist(zope.interface)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{common_desc}

%prep
%setup -qn %{pkgname}-%{?!gitdate:%{version}}%{?gitdate:master}
%autopatch -p1

# drop bundled egg-info
rm -rf repoze.sphinx.autointerface.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc CHANGES.rst CONTRIBUTORS.txt README.rst
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/*



%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.8.1-0.git20200728.3.mga9
+ Revision: 1832699
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.8.1-0.git20200728.2.mga9
+ Revision: 1778863
- Rebuild for python-3.10

* Thu Jun 03 2021 kekepower <kekepower> 0.8.1-0.git20200728.1.mga9
+ Revision: 1729406
- Update to release 0.8.1 git20200728

* Sat Apr 10 2021 kekepower <kekepower> 0.8-9.mga9
+ Revision: 1714528
- Rebuild for Python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8-8.mga8
+ Revision: 1532685
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.8-7.mga8
+ Revision: 1442607
- rebuild for python-3.8

* Sun Aug 04 2019 wally <wally> 0.8-6.mga8
+ Revision: 1427301
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.8-5.mga7
+ Revision: 1350745
- Rebuild for Python 3.7

* Thu Nov 08 2018 kekepower <kekepower> 0.8-4.mga7
+ Revision: 1329015
- Modernize BRs
- Rename python-repoze-sphinx-autointerface to python2-repoze-sphinx-autointerface
- Use python_provide

* Thu Sep 20 2018 umeabot <umeabot> 0.8-3.mga7
+ Revision: 1289996
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.8-2.mga7
+ Revision: 1135608
- Rebuild for python 3.6

* Wed May 24 2017 mitya <mitya> 0.8-1.mga6
+ Revision: 1104369
- Mageify
- imported package python-repoze-sphinx-autointerface


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.8-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 29 2016 Jerry James <loganjerry@gmail.com> - 0.8-1
- New upstream version
- Use the license macro

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Feb  2 2016 Jerry James <loganjerry@gmail.com> - 0.7.1-5
- Comply with latest python packaging guidelines

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  3 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-3
- Do not use the py3dir macro; see https://fedorahosted.org/fpc/ticket/435
- Remove the %%clean script

* Mon Jun  2 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-2
- Conditionalize the python3 package

* Thu May 29 2014 Jerry James <loganjerry@gmail.com> - 0.7.1-1
- Initial RPM (bz 1102858)
